Get Recommendation Result

Get Recommendation Result
Retrieve recommendation result for a site

Fetches the generated security policy infrastructure payload and publication status for a specific site.

Notes:

  • Results are site-specific and only available once the session analysis reaches READY_TO_PUBLISH status.
  • Use the conflict_resolution_strategy query parameter to handle out-of-band NSX policy changes:
    • NONE: Retrieves the saved result as-is.
    • USE_LATEST_NSX_POLICY: Re-applies recommendation diffs on top of current NSX policies (preserves recent NSX changes).
    • USE_SAVED_RECOMMENDATION: Updates revision numbers to force the saved recommendation to be publishable (overrides recent NSX changes).
Request
URI
GET
https://{api_host}/intelligence/recommendations/{id}/results/{result-id}
COPY
Path Parameters
string
id
Required  

The id of the resource

string
result-id
Required  

The result id of a recommendation session for each site. For now the result id will be the site id.

Query Parameters
conflict_resolution_strategy
Optional
Constraints: default: NONE

Strategy for resolving conflicts between the saved recommendation and current NSX policies(reused section only). When a reused section recommendation is modified by user after recommendation result is ready, it captures the state of NSX policies at that time. If those policies are subsequently modified in NSX, a conflict exists. This parameter controls how to resolve such conflicts.


Authentication
This operation uses the following authentication methods.
Responses
200

The recommendation result was successfully retrieved. Contains the complete recommendation result including the generated infrastructure payload, publication status, and session information for the specified site.

Returns RecommendationResult of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineRecommendationResult1
{
    "_create_user": "system",
    "_create_time": 1779144952584,
    "_last_modified_user": "system",
    "_last_modified_time": 1779144952584,
    "_revision": 0,
    "_system_owned": false,
    "id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
    "display_name": "REC 260518 03:46:50",
    "description": "Recommendation created on 5/18/26, 3:46 PM",
    "site_ids": [],
    "infra": {
        "domains": [],
        "_links": [],
        "resource_type": "Infra",
        "id": "infra",
        "tags": [],
        "children": [
            {
                "resource_type": "ChildResourceReference",
                "children": [
                    {
                        "resource_type": "ChildSecurityPolicy",
                        "SecurityPolicy": {
                            "application_connectivity_strategy": [],
                            "connectivity_preference": "NONE",
                            "rules": [],
                            "_links": [],
                            "resource_type": "SecurityPolicy",
                            "id": "Policy-d81c4105-3da3-4cb5-8a08-51f082c175ae-fd0b23f9-7bc6-4f95-9308-ec1d620b9605",
                            "display_name": "Policy-1 (REC 260518 03:46:50)",
                            "description": "Created from d81c4105-3da3-4cb5-8a08-51f082c175ae",
                            "tags": [],
                            "children": [
                                {
                                    "resource_type": "ChildRule",
                                    "Rule": {
                                        "action": "ALLOW",
                                        "_links": [],
                                        "resource_type": "Rule",
                                        "id": "Rule-d81c4105-3da3-4cb5-8a08-51f082c175ae-7e17cb1b-3099-4111-83dc-b0db36be1923",
                                        "display_name": "Rule-1 (REC 260518 03:46:50)",
                                        "description": "Created from REC 260518 03:46:50",
                                        "tags": [],
                                        "parent_path": "/infra/domains/default/security-policies/Policy-d81c4105-3da3-4cb5-8a08-51f082c175ae-fd0b23f9-7bc6-4f95-9308-ec1d620b9605",
                                        "path": "/infra/domains/default/security-policies/Policy-d81c4105-3da3-4cb5-8a08-51f082c175ae-fd0b23f9-7bc6-4f95-9308-ec1d620b9605/rules/Rule-d81c4105-3da3-4cb5-8a08-51f082c175ae-7e17cb1b-3099-4111-83dc-b0db36be1923",
                                        "children": [],
                                        "marked_for_delete": false,
                                        "overridden": false,
                                        "destination_groups": [
                                            "/infra/domains/default/groups/fd2186ce-4129-3567-9a47-e1ec6c3b498a"
                                        ],
                                        "destinations_excluded": false,
                                        "direction": "IN_OUT",
                                        "disabled": false,
                                        "logged": false,
                                        "profiles": [
                                            "ANY"
                                        ],
                                        "scope": [
                                            "/infra/domains/default/groups/05604720-dbe9-3b27-a953-3a1de60b8e28"
                                        ],
                                        "sequence_number": 1,
                                        "service_entries": [],
                                        "services": [
                                            "/infra/services/SSH"
                                        ],
                                        "source_groups": [
                                            "/infra/domains/default/groups/05604720-dbe9-3b27-a953-3a1de60b8e28"
                                        ],
                                        "sources_excluded": false
                                    },
                                    "_links": [],
                                    "tags": [],
                                    "marked_for_delete": false
                                }
                            ],
                            "marked_for_delete": false,
                            "overridden": false,
                            "category": "Application",
                            "locked": false,
                            "rule_count": 1,
                            "scope": [
                                "/infra/domains/default/groups/05604720-dbe9-3b27-a953-3a1de60b8e28"
                            ],
                            "stateful": true
                        },
                        "_links": [],
                        "tags": [],
                        "marked_for_delete": false
                    }
                ],
                "target_type": "Domain",
                "_links": [],
                "id": "default",
                "tags": [],
                "mark_for_override": false,
                "marked_for_delete": false
            }
        ],
        "marked_for_delete": false
    },
    "recommendation_session_info": {
        "context_application": {
            "id": "4bf410bc-1794-4b76-8ae3-3db5fcef796f",
            "display_name": "Group_R1_Z1_Env1_New_APP1",
            "site_ids": []
        },
        "site_ids": [
            "9e0865d0-9d89-44c7-8cc0-9f96a9b35721"
        ],
        "recommendation_type": "APPLICATION",
        "_create_user": "admin",
        "_create_time": 1779144426565,
        "_last_modified_user": "admin",
        "_last_modified_time": 1779144803694,
        "_revision": 1,
        "_system_owned": false,
        "id": "d81c4105-3da3-4cb5-8a08-51f082c175ae",
        "display_name": "REC 260518 03:46:50",
        "description": "Recommendation created on 5/18/26, 3:46 PM",
        "start_time": 1776552799335,
        "time_interval": {
            "start_time": 1776552799335,
            "end_time": 1779144952584
        },
        "monitoring_enabled": true,
        "action": "ANALYZE",
        "status": {
            "recommendation_overall_status": "READY_TO_PUBLISH",
            "recommendation_analysis_states": [
                {
                    "site_id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
                    "status_message": "",
                    "status": "SUCCESS"
                }
            ],
            "recommendation_result_states": [
                {
                    "id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
                    "site_id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
                    "status": "READY_TO_PUBLISH"
                }
            ],
            "rerun_recommended": false,
            "alerts": [],
            "groups_with_alert": []
        },
        "context_security_policies": [],
        "policy_type": "L4",
        "segmentation_strategies": [],
        "connectivity_preference": "NONE",
        "connectivity_preference_logging_enabled": false,
        "exclude_multicast_flows": true,
        "exclude_broadcast_flows": true,
        "additional_rules": [],
        "use_private_ip_range_group": false,
        "separate_rules_by_services": false
    },
    "status": {
        "id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
        "site_id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
        "status": "READY_TO_PUBLISH"
    },
    "site_id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
    "job_run_time": 66,
    "infra_generated": true,
    "diff_document_generated": false,
    "checkpoints": [],
    "group_related_infos": [
        {
            "group_id": "4ee3a888-6216-4a37-9c6f-3184e270f0c2",
            "group_path": "/infra/domains/default/groups/fd2186ce-4129-3567-9a47-e1ec6c3b498a",
            "group_name": "Group_R1_Z1_Env2",
            "seg_obj_id": "a249c652-de86-447d-85d3-4317009281d1",
            "seg_obj_name": "Group_R1_Z1_Env2",
            "seg_obj_type": "ENVIRONMENT",
            "deleted": false
        },
        {
            "group_id": "23784446-7dac-4079-b71e-0a9adf4c81c2",
            "group_path": "/infra/domains/default/groups/05604720-dbe9-3b27-a953-3a1de60b8e28",
            "group_name": "Group_R1_Z1_Env1_New_APP1",
            "seg_obj_id": "4bf410bc-1794-4b76-8ae3-3db5fcef796f",
            "seg_obj_name": "Group_R1_Z1_Env1_New_APP1",
            "seg_obj_type": "APPLICATION",
            "deleted": false
        }
    ],
    "context_effective_vms": [
        {
            "id": "c29fe908-00d5-48b7-95fb-2fca418a105f",
            "display_name": "Web-VM-1",
            "site_ids": [
                "9e0865d0-9d89-44c7-8cc0-9f96a9b35721"
            ]
        }
    ],
    "context_effective_physical_servers": []
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/intelligence/recommendations/{id}/results/{result-id}